<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf8">
  </head>
  <body>
    <form action="./index.html" id="form">
      <h1>Kết quả học tập</h1>
      <div class="input-container">
        <label for="hk1">Điểm HK1: </label>
        <input id="hk1" name="hk1" />
        <label for="hk2">Điểm HK2: </label>
        <input id="hk2" name="hk2" />
        <label for="dtb">Điểm trung bình: </label>
        <input id="dtb" disabled />
        <label for="kq">Kết quả: </label>
        <input id="kq" disabled />
        <label for="hl">Xếp loại học lực: </label>
        <input id="hl" disabled />
      </div>
      <button>Xem kết quả</button>
    </form>
    <script>


// for GET method
function getUrlVars() {
  var vars = {};
  var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
    vars[key] = value;
  });
  return vars;
}

// const values = Response.body;
const values = getUrlVars();
const hk1 = document.getElementById('hk1');
const hk2 = document.getElementById('hk2');
const dtb = document.getElementById('dtb');
const kq = document.getElementById('kq');
const hl = document.getElementById('hl');

if (values) {
  console.log(values);
  hk1.value = values['hk1'] || '';
  hk2.value = values['hk2'] || '';
  if (hk1.value != '' && hk2.value != '') {
    dtb.value = (parseInt(values['hk1']) + parseInt(values['hk2']) * 2) / 3;
    kq.value = dtb.value >= 5 ? "Được lên lớp": "Ở lại lớp";
    hl.value = 
      dtb.value >= 8 ? "Giỏi" : 
      dtb.value > 6.5 ? 'Khá' : 
      dtb.value >= 5 ? 'Trung bình' : 'Yếu';
  }
}
    </script>
    <style>

form {
  max-width: 500px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #db95b9;
}
.input-container {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: repeat(auto, 5);
  margin: 10px 20px;
}
input {
  margin-right: 30px;
  border: 1px inset gray;
}
h1 {
  background: #cc3467;
  color: white;
  margin: 1px;
  text-align: center;
  font-family: 'Brush Script MT';
  font-weight: 300;
}
button {
  display: block;
  margin: auto;
  background: lightgray;
  border: 1px outset black;
}

    </style>
  </body>
</html>